> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/gst-verification-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/gst-verification-api/search-by-legal-name.md).

# Search By Legal Name

{% embed url="<https://www.mastersindia.co/contact-us/?products=GST%20Verification%20API>" %}

<table><thead><tr><th width="173">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://commonapi.mastersindia.co/commonapis/searchlegalname?legalname=SATYANARAYAN">https://commonapi.mastersindia.co/commonapis/searchlegalname?legalname=SATYANARAYAN</a></td></tr><tr><td><strong>Method Type</strong></td><td>GET</td></tr><tr><td><strong>Post Parameters (JSON Format)</strong></td><td><p></p><pre><code>--header 'Authorization: Bearer 0ab31ef7392227173c6e8d34195e86d5eb0da1e9' \
--header 'client_id: JarZChUcsytSBbnkpt'
</code></pre></td></tr><tr><td><strong>Success Response</strong></td><td><p></p><pre class="language-javascript"><code class="lang-javascript">{
  "error": false,
  "data": [
    {
      "stjCd": "GJ016",
      "lgnm": "SATYANARAYAN SANJAYKUMAR",
      "stj": "Ghatak 16 (Ahmedabad)",
      "dty": "Regular",
      "adadr": [
        {
          "addr": {
            "bnm": "SUMEL BUSINESS",
            "loc": "KANKARIA",
            "st": "B H AMBICA MILL COMPOUND NR VANIJYA BHAVAN",
            "bno": "26 BLOCK A",
            "stcd": "Gujarat",
            "dst": "Ahmedabad",
            "city": "",
            "flno": "GROUND FLOOR",
            "lt": "",
            "pncd": "380022",
            "lg": ""
          },
          "ntr": "Factory / Manufacturing, Retail Business, Wholesale Business"
        }
      ],
      "cxdt": "01/04/2019",
      "gstin": "24COVPS4703R2ZX",
      "nba": [
        "Factory / Manufacturing",
        "Retail Business",
        "Wholesale Business"
      ],
      "lstupdt": "14/05/2019",
      "rgdt": "08/07/2017",
      "ctb": "Proprietorship",
      "pradr": {
        "addr": {
          "bnm": "SUMBL BUSINESS PARK 2",
          "loc": "AHMEDABAD",
          "st": "B H VANIJYA BHAWAN KANKARIA ROAD",
          "bno": "188 C BLOCK",
          "stcd": "Gujarat",
          "dst": "Ahmedabad",
          "city": "",
          "flno": "1",
          "lt": "",
          "pncd": "380022",
          "lg": ""
        },
        "ntr": "Factory / Manufacturing, Retail Business, Wholesale Business"
      },
      "tradeNam": "SHREE SHYAM CREATION",
      "sts": "Cancelled",
      "ctjCd": "WS0104",
      "ctj": "RANGE IV"
    }
  ]

</code></pre></td></tr></tbody></table>

{% embed url="<https://www.mastersindia.co/contact-us/?products=GST%20Verification%20API>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mastersindia.co/gst-verification-api/search-by-legal-name.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
